---
title: targetElement
slug: Web/API/SVGAnimationElement/targetElement
tags:
  - API
  - DOM
  - NeedsExample
  - Property
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <code><strong>SVGAnimationElement.targetElement</strong></code> property refers to the element which is being animated. If no target element is being animated (for example, because the {{SVGAttr("href")}} attribute specifies an unknown element), the value returned is <code>null</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>targetElement</var> = <var>someElement</var>.targetElement;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <td>Specification</td>
   <td>Status</td>
   <td>Comment</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG Animations 2", "#__svg__SVGAnimationElement__targetElement", "SVGAnimationElement.targetElement")}}</td>
   <td>{{Spec2("SVG Animations 2")}}</td>
   <td>Added <code>null</code> as return value in case that no target element is being animated.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "animate.html#__svg__SVGAnimationElement__targetElement", "SVGAnimationElement.targetElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGAnimationElement.targetElement")}}</p>
